Skip to main content
GET
/
compute
/
clusters
Together AI SDK (v2)
from together import Together
import os

client = Together(
    api_key=os.environ.get("TOGETHER_API_KEY"),
)

response = client.beta.clusters.list()

print(response.clusters)
{
  "clusters": [
    {
      "cluster_id": "<string>",
      "region": "<string>",
      "cluster_name": "<string>",
      "volumes": [
        {
          "volume_id": "<string>",
          "volume_name": "<string>",
          "size_tib": 123,
          "status": "<string>"
        }
      ],
      "control_plane_nodes": [
        {
          "node_id": "<string>",
          "node_name": "<string>",
          "status": "<string>",
          "host_name": "<string>",
          "num_cpu_cores": 123,
          "memory_gib": 123,
          "network": "<string>",
          "phase_transitions": [
            {
              "transition_time": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ],
      "gpu_worker_nodes": [
        {
          "node_id": "<string>",
          "node_name": "<string>",
          "status": "<string>",
          "host_name": "<string>",
          "num_cpu_cores": 123,
          "num_gpus": 123,
          "memory_gib": 123,
          "networks": [
            "<string>"
          ],
          "phase_transitions": [
            {
              "transition_time": "2023-11-07T05:31:56Z"
            }
          ],
          "instance_id": "<string>",
          "latest_remediation": {
            "id": "<string>",
            "cluster_id": "<string>",
            "instance_id": "<string>",
            "reason": "<string>",
            "active_health_check_run_id": "<string>",
            "passive_health_check_event_id": "<string>",
            "requested_by": "<string>",
            "create_time": "2023-11-07T05:31:56Z",
            "reviewed_by": "<string>",
            "review_time": "2023-11-07T05:31:56Z",
            "review_comment": "<string>",
            "start_time": "2023-11-07T05:31:56Z",
            "end_time": "2023-11-07T05:31:56Z",
            "error_message": "<string>",
            "update_time": "2023-11-07T05:31:56Z"
          },
          "slurm_worker_hostname": "<string>"
        }
      ],
      "kube_config": "<string>",
      "num_gpus": 123,
      "cuda_version": "<string>",
      "nvidia_driver_version": "<string>",
      "project_id": "<string>",
      "num_cpu_workers": 123,
      "phase_transitions": [
        {
          "transition_time": "2023-11-07T05:31:56Z"
        }
      ],
      "desired_preemptible_gpus": 123,
      "allocated_preemptible_gpus": 123,
      "add_ons": [
        {
          "name": "<string>",
          "add_on_type": "<string>",
          "config": {
            "dashboard": {
              "enabled": true
            },
            "ingress": {
              "enabled": true
            }
          },
          "state": {
            "dashboard": {},
            "ingress": {}
          }
        }
      ],
      "duration_hours": 123,
      "slurm_shm_size_gib": 123,
      "capacity_pool_id": "<string>",
      "reservation_start_time": "2023-11-07T05:31:56Z",
      "reservation_end_time": "2023-11-07T05:31:56Z",
      "install_traefik": true,
      "created_at": "2023-11-07T05:31:56Z",
      "oidc_config": {
        "issuer_url": "<string>",
        "client_id": "<string>",
        "username_claim": "<string>",
        "username_prefix": "<string>",
        "group_claim": "<string>",
        "group_prefix": "<string>",
        "ca_cert": "<string>"
      },
      "cluster_config": {
        "kubernetes_dashboard_enabled": true,
        "jumphost_enabled": true,
        "slurm_startup_scripts": {
          "worker_prolog": "<string>",
          "worker_epilog": "<string>",
          "controller_prolog": "<string>",
          "controller_epilog": "<string>",
          "login_init_script": "<string>",
          "nodeset_init_script": "<string>",
          "extra_slurm_conf": "<string>"
        },
        "ingress": {
          "enabled": true
        },
        "observability": {
          "enabled": true
        },
        "gpu_operator_version": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.together.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string

Optional UMS project ID to filter clusters by. When set, only clusters belonging to this project are returned. The caller must be a member of the project; otherwise the result set will be empty.

Response

200 - application/json

OK

clusters
object[]
required